Package org.eclipse.emf.cdo.security.impl

## Class SecurityElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
            - - org.eclipse.emf.cdo.security.impl.SecurityElementImpl

- All Implemented Interfaces:
    `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `SecurityElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`
  Direct Known Subclasses:
    `RealmImpl`, `SecurityItemImpl`

      public abstract class SecurityElementImpl
      extends ModelElementImpl
      implements SecurityElement

  An implementation of the model object 'Element'.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SecurityElementImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected EClass` | `eStaticClass()`
    `Realm` | `getRealm()`

    - ### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

      `eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticFeatureCount, eUnset, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Constructor Detail

    - #### SecurityElementImpl

          protected SecurityElementImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getRealm

          public Realm getRealm()

      Specified by:
        `getRealm` in interface `SecurityElement`
      Generated
        NOT